import { OpenAPIHono } from '@hono/zod-openapi';
import listUsersRoute from './get';
import createUserRoute from './post';
import getUserByIdRoute from './[id]/get';
import updateUserRoute from './[id]/put';
import deleteUserRoute from './[id]/delete';

const app = new OpenAPIHono()
  .route('/', listUsersRoute)
  .route('/', createUserRoute)
  .route('/', getUserByIdRoute)
  .route('/', updateUserRoute)
  .route('/', deleteUserRoute);

export default app;